slic3r-prusa (2.9.6+dfsg-1) unstable; urgency=medium

  * [8427fc8] New upstream version 2.9.6+dfsg
  * [bc5df57] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Jun 2026 11:49:18 +0800

slic3r-prusa (2.9.5+dfsg-1) unstable; urgency=medium

  * [40a7d69] d/watch: Fix watch file wrongly picking up beta versions
  * [91bfc19] New upstream version 2.9.5+dfsg
  * [1c7fda3] Refresh patches
  * [344ad0e] Update build-deps
  * [518b21f] Change boost/process patch to use separate #includes
    Boost 1.88 doesn't have a consolidated v1.hpp header, so this makes it
    easier to backport.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 21 May 2026 11:26:40 +0800

slic3r-prusa (2.9.4+dfsg-4) unstable; urgency=medium

  * [587ca15] Fix FTBFS with boost 1.90 (Closes: #1128162)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Mar 2026 19:05:52 +0800

slic3r-prusa (2.9.4+dfsg-3) unstable; urgency=medium

  * [f22450a] Drop xvfb and xauth build-deps (Closes: #1066949)
  * [8b838ce] Enable CI pipelines in salsa
  * [ef2ae8f] Fix cmake-related FTBFS by setting CMAKE_POLICY_VERSION_MINIMUM.
    Thanks to Gregor Riepl <onitake@gmail.com> (Closes: #1125587)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Jan 2026 14:05:29 +0900

slic3r-prusa (2.9.4+dfsg-2) unstable; urgency=medium

  * [0a079ff] Fix up autopkgtests errors in check-gui
    - Drop needs-root stuff and replace it with a dependency on locales-all
    - Set NO_AT_BRIDGE=1 to silence AT-SPI warning messages
    - Depend on librsvg2-common to fix pixbuf loading warnings
    - Use a longer timeout to wait for PrusaSlicer to launch
    Thanks to Simon McVittie <smcv@debian.org> (Closes: #1118139)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 12 Dec 2025 12:31:09 +0800

slic3r-prusa (2.9.4+dfsg-1) unstable; urgency=medium

  * [32f8ff4] New upstream version 2.9.4+dfsg
  * [4975549] Drop upstreamed patches

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 18 Nov 2025 20:09:17 +0800

slic3r-prusa (2.9.3+dfsg-2) unstable; urgency=medium

  * [3c90235] d/watch: Upgrade to version 5
  * [3bad221] Build-dep on libocct-ivtk-dev

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 23 Sep 2025 23:27:36 +0800

slic3r-prusa (2.9.3+dfsg-1) unstable; urgency=medium

  * [745cfec] Fix dbus permission issues in check-gui autopkgtest.
    Thanks to Gregor Riepl <onitake@gmail.com>
  * [09e1418] New upstream version 2.9.3+dfsg
    - Fixes FTBFS with cmake (Closes: #1113508)
  * [25f52e3] Refresh patches
  * [442e879] Build-dep on nlohmann-json3-dev
  * [0137394] d/watch: Bump version to 4
  * [4d4b24a] d/copyright: Drop FSF address

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 17 Sep 2025 12:58:01 +0800

slic3r-prusa (2.9.2+dfsg-2) unstable; urgency=medium

  * [5548bad] Fix permissions issue in autopkgtest 1.48.
    AUTOPKGTEST_ARTIFACTS is no longer a subdirectory of AUTOPKGTEST_TMP, so we
    have to chown that too. (Closes: #1108760)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 12 Aug 2025 18:06:36 +0800

slic3r-prusa (2.9.2+dfsg-1) unstable; urgency=medium

  * [b78f285] New upstream version 2.9.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 11 Apr 2025 00:34:48 +0800

slic3r-prusa (2.9.1+dfsg-1) unstable; urgency=medium

  * [2ee416f] Build-dep on libz3-dev
  * [dfa1dab] Workaround missing Z3 cmake files (#1098281)
  * [f1b5e0d] Rework OCCTWrapper patch to fix SLIC3R_FHS cmake errors
  * [ab0e76b] New upstream version 2.9.1+dfsg
  * [422c332] d/prusa-slicer.sharedmimeinfo: Add 3mf mime-type
    (Closes: #1010585)
  * [d40c907] New upstream version 2.9.1~rc2+dfsg
  * [32a8351] Refresh patches and drop upstreamed
  * [75c101f] Patch to downgrade catch2 dep to 3.7

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Mar 2025 00:01:10 +0800

slic3r-prusa (2.9.0+dfsg-1) unstable; urgency=medium

  * [363bbe2] New upstream version 2.9.0~rc1+dfsg
  * [99768c7] New upstream version 2.9.0+dfsg
  * [4f9c2f9] Refresh patches
  * [0555c20] Update catch2v3 patch
  * [7823894] Import PR 13810 to turn on -fPIC and -fPIE
  * [63c6e39] Import PR 13896 to fix segfault in slic3rutils_tests
  * [ab3089c] autopkgtests: Install ca-certificates.
    Ensure ca-certificates are installed for autopkgtests

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 07 Jan 2025 14:26:36 +0800

slic3r-prusa (2.8.1+dfsg2-2) unstable; urgency=medium

  * [5731525] Fix FTBFS due to missing #include <random> (Closes: #1084769)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 08 Oct 2024 15:04:50 +0800

slic3r-prusa (2.8.1+dfsg2-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [ce68597] New upstream version 2.8.1+dfsg
  * [a215e4a] Refresh patches
  * [972e6be] Build-dep on libwebkit2gtk-4.1-dev
  * [e611d77] Patch to fix eigen3-related build errors
  * [b210c8a] Update catch2 v3 patch
  * [5dca50c] Fix boost link errors
  * [d21f9c7] Link against libssl as well as libcrypto to fix unresolved symbols
  * [c49d5ae] Update file paths for bundled deps
  * [cb2e75a] Refresh CGAL compatibility patch
  * [aa00f43] Update debian/copyright
  * [ac589e8] New upstream version 2.8.1+dfsg2

  [ Gregor Riepl ]
  * [fa49c43] Add upstream patch to fix CGAL 6.0 compilation issue
  * [0017ea5] Extend CGAL 6.0 fix to unit test

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Sep 2024 23:23:22 +0800

slic3r-prusa (2.8.0+dfsg-1) unstable; urgency=medium

  * [5de66ba] New upstream version 2.8.0+dfsg
  * [bfb8d3e] Refresh patches
  * [1855541] Drop add_library libexpat cmake patch.
    Upstream has handled it differently
  * [c010019] Build-dep on libwxgtk-webview3.2-dev
  * [5a5357a] Update catch2v3 patch
  * [afc2acc] Build-dep on libssl-dev
  * [5dc8e62] Patch to link against libcrypto
  * [80d7692] Add lintian override for connect_loading.html.
    Just a small inline svg for a logo
  * [76dc440] Drop superfluous file pattern in debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jul 2024 16:53:57 +0800

slic3r-prusa (2.7.5~rc1+dfsg-2) unstable; urgency=medium

  * [379c75d] Import ExtrusionLine::simplify fixes from PR 11811

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 24 Jun 2024 12:21:32 +0800

slic3r-prusa (2.7.5~rc1+dfsg-1) unstable; urgency=medium

  * [1420dc4] New upstream version 2.7.5~rc1+dfsg
  * [7ecfb96] Refresh patches
  * [ab868aa] Patch to fix OCCT 7.8.0 build failure

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 09 Jun 2024 17:28:16 +0800

slic3r-prusa (2.7.4+dfsg-1) unstable; urgency=medium

  * [3cddded] New upstream version 2.7.4+dfsg
  * [199df94] Refresh patches
  * [ddcd399] Update catch2 v3 patch

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Apr 2024 13:26:21 +0800

slic3r-prusa (2.7.2+dfsg-1) unstable; urgency=medium

  * [68b95ef] New upstream version 2.7.2+dfsg
  * [60635b5] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Mar 2024 21:48:12 +0800

slic3r-prusa (2.7.1+dfsg-1) unstable; urgency=medium

  * [e8c34bb] Fix up dangling Approx usage in tests
  * [a8c65a4] New upstream version 2.7.1+dfsg
  * [1ed6790] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 15 Dec 2023 00:39:28 +0800

slic3r-prusa (2.7.0+dfsg-1) UNRELEASED; urgency=medium

  [ Gregor Riepl ]
  * Add upstream patch for uninitialized GravityKernel. Closes: #1057630
  * Replace WithinRel(0.0) comparisons in unit tests with WithinAbs(0.0)

  [ Chow Loong Jin ]
  * [2f0ba5b] New upstream version 2.7.0~rc1+dfsg
  * [f132051] New upstream version 2.7.0+dfsg
  * [d0ac0c0] Refresh patches
  * [51ce4b2] Update year in debian/copyright
  * [25d884e] Add libbgcode-dev as build-dep
  * [526fd96] Add libheatshrink-dev to build-deps
  * [d2f5b05] Sort build-deps
  * [88df6ae] Bump catch2 version requirement in test/CMakeLists.txt
  * [42b3e1e] Update catch2 v3 patch for new files

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 14 Dec 2023 20:32:09 +0800

slic3r-prusa (2.6.1+dfsg-4.1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Non-maintainer upload.

  [ Gregor Riepl ]
  * Use explicit initializers for two wxWidgets function calls.
    (Closes: #1056897)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 29 Nov 2023 13:34:45 -0600

slic3r-prusa (2.6.1+dfsg-4) unstable; urgency=medium

  * [9c87477] Update catch2 patch for v3 changes.
    Thanks to Gregor Riepl <onitake@gmail.com> (Closes: #1054697)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 Nov 2023 10:10:59 +0800

slic3r-prusa (2.6.1+dfsg-3) unstable; urgency=medium

  [ Antoni Villalonga ]
  * [1d54f79] Patch slic3r-prusa to use https in self-update operations and
    disable by default (Closes: #961903)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 28 Sep 2023 15:46:43 +0800

slic3r-prusa (2.6.1+dfsg-2) unstable; urgency=medium

  * [9e1e3d7] Save screenshot as artifact in check-gui autopkgtest
  * [ae3a89d] Extend sleep time for check-gui.
    10 seconds isn't enough to initialize on arm* boxes

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 27 Sep 2023 13:13:30 +0800

slic3r-prusa (2.6.1+dfsg-1) unstable; urgency=medium

  * [d069dc3] New upstream version 2.6.1+dfsg
  * [37f1207] Drop upstreamed patches
  * [fd9fa33] Refresh patches
  * [e94669b] Disable automatic app version check.
    This doesn't serve much purpose in a distro package and causes segfaults in
    autopkgtests.

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 12 Sep 2023 16:59:17 +0800

slic3r-prusa (2.6.0+dfsg-3) unstable; urgency=medium

  * [975876e] Update fonts-noto-* dependencies (Closes: #1050046)
  * [20431a6] Build-dep on python3-imath.
  * [f9a5eb5] Patch to fix compilation error

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 22 Aug 2023 16:25:44 +0800

slic3r-prusa (2.6.0+dfsg-2) unstable; urgency=medium

  * [7e02ab9] Reduce debug info on i386 to fix ftbfs.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #1041870)
  * [9c707ed] Import patch to fix ftbfs on arches where sizeof(std::float) != 4.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #1041870)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Jul 2023 16:02:36 +0800

slic3r-prusa (2.6.0+dfsg-1) unstable; urgency=medium

  * [8a284f5] Refresh patches and drop upstreamed patches
  * [43d53c6] Patch to fix libexpat cmake issue
  * [a3ea152] New upstream version 2.6.0~rc2+dfsg
  * [8f466d4] New upstream version 2.6.0+dfsg
  * [a88d80a] Drop transitional package slic3r-prusa.
    It has been released in bullseye and bookworm already. (Closes: #1038307)
  * [66a38d7] Build-dep on libnanosvg-dev
  * [19cc709] Build-dep on qhull
  * [8f0f096] Drop superfluous files from debian/copyright
    qhull, nanosvg, and shiny have been unbundled
  * [8ab4dca] Import patch to fix wxWidgets resizer assertion.
    Thanks to Pascal de Bruijn <pmjdebruijn@pcode.nl>

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 17 Jul 2023 15:33:29 +0800

slic3r-prusa (2.6.0~rc1+dfsg-1) UNRELEASED; urgency=medium

  * [349feb1] New upstream version 2.6.0~rc1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 12 Jun 2023 12:14:13 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog prusa-slicer`.
